HFST-FST2STRINGS(1)

NAME
hfst-fst2strings - =Display the strings recognized by a transducer

SYNOPSIS
hfst-fst2strings [OPTIONS...] [INFILE]

DESCRIPTION
Display the strings recognized by a transducer

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Fst2strings options:

-n, --max-strings=NSTR
    print at most NSTR strings

-N, --nbest=NBEST
    print at most NBEST best strings

-r, --random=NRAND
    print at most NRAND random strings

-c, --cycles=NCYC
    follow cycles at most NCYC times

-w, --print-weights
    display the weight for each string

-S, --print-separator
    print separator "--" after each transducer

-e, --epsilon-format=EPS
    print epsilon as EPS

-X, --xfst=VARIABLE
    toggle xfst compatibility option VARIABLE

  Ignore paths if:

-b, --beam=B
    output string weight not within B from the weight of the best output string

-l, --max-in-length=MIL
    input string longer than MIL

-L, --max-out-length=MOL
    output string longer than MOL

-p, --in-prefix=OPREFIX
    input string not beginning with IPREFIX

-P, --out-prefix=OPREFIX
    output string not beginning with OPREFIX

-u, --in-exclude=IXSTR
    input string containing IXSTR

-U, --out-exclude=OXST
    output string containing OXSTR

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE If all NSTR, NBEST and NCYC are omitted, all possible paths are printed: NSTR, NBEST and NCYC default to infinity. NBEST overrides NSTR and NCYC NRAND overrides NBEST, NSTR and NCYC B must be a non-negative float If EPS is not given, default is empty string. Numeric options are parsed with strtod(3). Xfst variables supported are { obey-flags, print-flags, print-pairs, print-space, quote-special }.

EXAMPLES

hfst-fst2strings lexical.hfst
    generates all forms of lexical.hfst

  Known bugs:

    Does not work correctly for hfst optimized lookup format.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-fst2strings home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstFst2Strings>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.